@import 'node_modules/normalize.css/normalize';

* {
    @include box-sizing(border-box);
}
*:before,
*:after {
    @include box-sizing(border-box);
}


html,
body {
    font-size: 16px;
    min-height: 100%;

    @media (min-width: $screen-xl-min) {
        font-size: 1.1vw;
    }
}

body {
    color: $color-base;
    font-family: $font-family-base;
    background: #fff;
    font-size: rem(14);
    line-height: $line-height-base;
}

.container {
    margin-right: auto;
    margin-left: auto;
    max-width: rem(380);
    padding-left:  ($gutter);
    padding-right: ($gutter);
    @include clearfix;

    @media (min-width: $screen-sm-min) {
        max-width: rem(855);
    }

    @media (min-width: $screen-md-min) {
    }

    @media (min-width: $screen-lg-min) {
        width: rem(970);
        max-width: inherit;
    }

    @media (min-width: $screen-xl-min) {
        width: rem(1140);
    }
}

.page {
    overflow: hidden;

    &__wrap {
        display: flex;
        margin: 0 auto;
        min-height: 100vh;
        background: #fff;
        flex-direction: column;
    }
}

.main {
    padding: rem(40) 0;
    flex-grow: 1;
    font-family: $font-family-head;
}

.wrap {
    max-width: rem(825);
    margin: 0 auto;

    @media (min-width: $screen-lg-min) {
        max-width: inherit;
    }
}

// HeadingsTR
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    font-weight: 700;
    line-height: 1.2;
}

h1, .h1 {
    font-size: rem(24);
    line-height: rem(29);
    margin-bottom: rem(30);
    font-family: $font-family-head;

    @media (min-width: $screen-md-min) {
        font-size: rem(36);
        line-height: rem(44);
        margin-bottom: rem(40);
    }
}

h2, .h2 {
    font-size: rem(24);
    line-height: rem(29);
    margin-bottom: rem(30);
    font-family: $font-family-head;

    @media (min-width: $screen-sm-min) {
        font-size: rem(36);
        line-height: rem(44);
        margin-bottom: rem(36);
    }
}

h3, .h3 {
    font-size: rem(20);
    font-family: $font-family-head;
}

h4, .h4 {
    font-size: rem(14);
    margin-bottom: rem(20);
    font-family: $font-family-head;
}

h5, .h5 {
    font-size: rem(16);
    font-family: $font-family-head;
}

h6, .h6 {
    font-size: rem(14);
    font-family: $font-family-head;
}

p {
    margin: 0 0 rem(20) 0;
}



